SDAParser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
SDAParser Class Referencefinal

the main class to read a StarOffice sda/sdd file More...

`#include <SDAParser.hxx>`

Inheritance diagram for SDAParser:

## Public Member Functions
| SDAParser (STOFFInputStreamPtr &input, STOFFHeader *header)
| constructor More...
| ~SDAParser () final
| destructor More...
void | setDocumentPassword (char const *passwd)
| set the document password More...
bool | checkHeader (STOFFHeader *header, bool strict=false) override
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGDrawingInterface *documentInterface) final
| virtual function used to parse the input More...
void | parse (librevenge::RVNGPresentationInterface *documentInterface) final
| virtual function used to parse the input More...
Public Member Functions inherited from STOFFParser
virtual | ~STOFFParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
STOFFParserStatePtr | getParserState ()
| returns the parser state More...
STOFFHeader * | getHeader ()
| returns the header More...
STOFFInputStreamPtr & | getInput ()
| returns the actual input More...
const STOFFPageSpan & | getPageSpan () const
| returns the actual page dimension More...
STOFFPageSpan & | getPageSpan ()
| returns the actual page dimension More...
STOFFGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
STOFFSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
STOFFTextListenerPtr & | getTextListener ()
| returns the text listener More...
libstoff::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document More...
void | createDocument (librevenge::RVNGPresentationInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | createZones ()
| parses the different OLE, ... More...
Protected Member Functions inherited from STOFFGraphicParser
| STOFFGraphicParser (STOFFInputStreamPtr &input, STOFFHeader *header)
| constructor (protected) More...
| STOFFGraphicParser (STOFFParserStatePtr &state)
| constructor using a state More...
| ~STOFFGraphicParser () override
| destructor More...
Protected Member Functions inherited from STOFFParser
| STOFFParser (STOFFParserState::Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected) More...
| STOFFParser (STOFFParserStatePtr &state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (STOFFGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the graphic listener More...
void | setSpreadsheetListener (STOFFSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the spreadsheet listener More...
void | setTextListener (STOFFTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the text listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
const std::string & | asciiName () const
| return the ascii file name More...

## Protected Attributes
const char * | m_password
| the password More...
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser More...
std::shared_ptr< SDAParserInternal::State > | m_state
| the state More...

## Private Member Functions
| SDAParser (SDAParser const &orig)=delete
SDAParser & | operator= (SDAParser const &orig)=delete

## Detailed Description

the main class to read a StarOffice sda/sdd file

## Constructor & Destructor Documentation

## ◆ SDAParser() [1/2]

SDAParser::SDAParser | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header
| ) |  |

constructor

## ◆ ~SDAParser()

SDAParser::~SDAParser | ( |  | ) |
| final

destructor

## ◆ SDAParser() [2/2]

SDAParser::SDAParser | ( | SDAParser const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ checkHeader()

bool SDAParser::checkHeader | ( | STOFFHeader * | header,
|  | bool | strict = `false`
| ) |  |
| overridevirtual

checks if the document header is correct (or not)

Implements STOFFParser.

Referenced by parse().

## ◆ createDocument() [1/2]

void SDAParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createDocument() [2/2]

void SDAParser::createDocument | ( | librevenge::RVNGPresentationInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

## ◆ createZones()

bool SDAParser::createZones | ( |  | ) |
| protected

parses the different OLE, ...

Referenced by parse().

## ◆ operator=()

SDAParser& SDAParser::operator= | ( | SDAParser const & | orig | ) |
| privatedelete

## ◆ parse() [1/2]

void SDAParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Reimplemented from STOFFGraphicParser.

## ◆ parse() [2/2]

void SDAParser::parse | ( | librevenge::RVNGPresentationInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Reimplemented from STOFFGraphicParser.

## ◆ setDocumentPassword()

void SDAParser::setDocumentPassword | ( | char const * | passwd | ) |
| inline

set the document password

Referenced by STOFFDocumentInternal::getGraphicParserFromHeader(), and STOFFDocumentInternal::getPresentationParserFromHeader().

## Member Data Documentation

## ◆ m_oleParser

std::shared_ptr<STOFFOLEParser> SDAParser::m_oleParser
| protected

the ole parser

Referenced by createZones(), and parse().

## ◆ m_password

const char* SDAParser::m_password
| protected

the password

Referenced by createZones(), parse(), and setDocumentPassword().

## ◆ m_state

std::shared_ptr<SDAParserInternal::State> SDAParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), and parse().

The documentation for this class was generated from the following files:

- SDAParser.hxx
- SDAParser.cxx